# instance.cpp File Reference

Instance. More...

`#include "instance.h"`
`#include "canvasinterface.h"`
`#include <iostream>`
`#include <synfig/loadcanvas.h>`
`#include <synfig/savecanvas.h>`
`#include <synfig/valuenode_composite.h>`
`#include <synfig/valuenode_radialcomposite.h>`
`#include <synfig/valuenode_reference.h>`
`#include <synfig/valuenode_greyed.h>`
`#include <synfig/valuenode_blinecalctangent.h>`
`#include <synfig/valuenode_blinecalcvertex.h>`
`#include <synfig/valuenode_blinecalcwidth.h>`
`#include <synfig/valuenode_scale.h>`
`#include <map>`
`#include "general.h"`

## Functions

bool | synfigapp::is_editable (synfig::ValueNode::Handle value_node)
etl::handle< Instance > | synfigapp::find_instance (etl::handle< synfig::Canvas > canvas)

## Variables

static std::map< loose_handle < Canvas >, loose_handle < Instance > > | instance_map_

## Detailed Description

Instance.

$Id$

## Variable Documentation

std::map<loose_handle<Canvas>, loose_handle<Instance> > instance_map_ `[static]`

Referenced by synfigapp::find_instance(), synfigapp::Instance::Instance(), and synfigapp::Instance::~Instance().